<?php

use Illuminate\Http\Request;

Route::group(['namespace'=>'Api', 'middleware' => 'auth:h5'],function(){
    Route::post('answerQuestion','QuestionController@answerQuestion');
    Route::post('preTestList','QuestionController@preTestList');
});

Route::group(['namespace'=>'Api'],function(){
    // news
    Route::post('getActiveNewsList','NewsController@getActiveNewsList');
    Route::post('getNews','NewsController@getNews');

    // about_us
    Route::post('getActiveAbouts','AboutUsController@getActiveAbouts');
    Route::post('getAboutUs','AboutUsController@getAboutUs');
    Route::post('getSubject','SubjectController@getSubject');
    Route::post('getUnitOfSubject','SubjectController@getUnitOfSubject');
    Route::post('getUnit','UnitController@getUnit');

    // 登录
    Route::post('createUser','UserController@createUser');
    // 注册
    Route::post('userLogin','UserController@userLogin');

    Route::post('concentrationList','ConcentrationController@list');
    Route::post('domainList','DomainController@domainList');

    Route::post('sendEmail','UserController@sendEmail');

    // Badar
    Route::get('logout', 'UserController@logout');
});